# Version 24.36 - 2024-08-27

### Added 🆕

-   feat(FormModel): trim data by default by:alexm
-   feat(orderBasicData): add notes by:alexm
-   feat(orderList): correct create order by:alexm
-   feat(orderList): use orderFilter and fixed this by:alexm
-   feat: #7323 handle workerPhoto (origin/7323_workerPhoto, 7323_workerPhoto) by:Javier Segarra
-   feat: add recover password and reset password by:alexm
-   feat: refs #7346 add seriaType option by:jgallego
-   feat: refs #7346 elimino === by:jgallego
-   feat: refs #7346 formdata uses serialType by:jgallego
-   feat: refs #7346 refactor by:jgallego
-   feat: refs #7346 sonarLint warnings (origin/7346-invoiceOutMultilple, 7346-invoiceOutMultilple) by:jgallego
-   feat: refs #7710 uses cloneAll by:jgallego
-   fix: refs #7717 fix OrderList table filters' and summary table style by:Jon

### Changed 📦

-   feat: refs #7346 refactor by:jgallego
-   perf: date fields (mindshore/feature/TicketFutureFilter, feature/TicketFutureFilter) by:Javier Segarra
-   perf: refs #7717 right menu filter by:Jon
-   perf: use ref at component start by:Javier Segarra
-   refactor: refs #7717 delete useless function and import by:Jon
-   refactor: refs #7717 deleted useless code by:Jon

### Fixed 🛠️

-   feat(orderList): use orderFilter and fixed this by:alexm
-   fix(VnTable): orderBy v-model by:alexm
-   fix(account_card): redirection by:carlossa
-   fix(orderLines): reload when delete and redirect when confirm by:alexm
-   fix: #6336 ClaimListStates by:Javier Segarra
-   fix: account subsections cards by:carlossa
-   fix: duplicate key by:Jon
-   fix: order description to vnTable by:alexm
-   fix: orderCatalogFilter order by:alexm
-   fix: quasar build warnings (6336_claim_fix_states) by:Javier Segarra
-   fix: refs #7717 fix OrderList table filters' and summary table style by:Jon
-   fix: refs #7717 fix basic data form & minor errors by:Jon
-   fix: refs #7717 fix catalog filter, searchbar redirect and search by:Jon
-   fix: refs #7717 fix catalog searchbar and worker tests(refs #7323) by:Jon
-   fix: refs #7717 fix order sections by:Jon
-   fix: refs #7717 fix volume and lines redirect by:Jon
-   fix: refs #7717 fixed searchbar filter with rightmenu filters' applied by:Jon
-   fix: test by:alexm
-   fix: ticketDescriptorMenu by:Javier Segarra
-   refs #7355 account fixes by:carlossa

# Version 24.34 - 2024-08-20

### Added 🆕

-   chore: #6900 order params by:jorgep
-   chore: refs #6900 drop console log by:jorgep
-   chore: refs #6900 drop vnCurrency by:jorgep
-   chore: refs #6900 fix e2e tests by:jorgep
-   chore: refs #6900 mv rectificative logic by:jorgep
-   chore: refs #6900 responsive code by:jorgep
-   chore: refs #7283 drop array types by:jorgep
-   chore: refs #7283 drop import by:jorgep
-   chore: refs #7283 fix e2e logout by:jorgep
-   chore: refs #7283 update VnAvatar title handling by:jorgep
-   chore: refs #7323 fix test by:jorgep
-   chore: refs #7323 remove unused import by:jorgep
-   chore: refs #7323drop commented code by:jorgep
-   feat(VnCard): use props searchbar by:alexm
-   feat(customer): improve basicData to balance by:alexm
-   feat(customer_balance): refs #6943 add functionality from salix by:alexm
-   feat(customer_balance): refs #6943 translations by:alexm
-   feat: refs #6130 husky commitLint config by:pablone
-   feat: refs #6130 husky hooks by:pablone
-   feat: refs #6900 add InvoiceInSerial by:jorgep
-   feat: refs #6900 add locale by:jorgep
-   feat: refs #6900 use VnTable & sort filter fields by:jorgep
-   feat: refs #7323 add flex-wrap by:jorgep
-   feat: refs #7323 add my account" btn & fix models log selectable by:jorgep
-   feat: refs #7323 improve test by:jorgep

### Changed 📦

-   refactor(customer_log: use VnLog by:alexm
-   refactor(customer_recovery): to vnTable by:alexm
-   refactor(customer_webAccess): FormModel by:alexm
-   refactor: refs #7283 update avatar size and color by:jorgep

### Fixed 🛠️

-   chore: refs #6900 fix e2e tests by:jorgep
-   chore: refs #7283 fix e2e logout by:jorgep
-   chore: refs #7323 fix test by:jorgep
-   feat: refs #7323 add my account" btn & fix models log selectable by:jorgep
-   fix #7355 fix acls list by:carlossa
-   fix(VnFilterPanel): emit userParams better by:alexm
-   fix(claim_summary): url links (HEAD -> 7864_testToMaster_2434, origin/test, origin/7864_testToMaster_2434, test) by:alexm
-   fix(customer_sms: fix reload by:alexm
-   fix(twoFactor): unify code login and twoFactor by:alexm
-   fix: VnCard VnSearchbar props by:alexm
-   fix: accountMailAlias by:alexm
-   fix: refs #6130 add commit lint modules by:pablone
-   fix: refs #6130 pnpm-lock.yml by:pablone
-   fix: refs #6900 improve loading by:jorgep
-   fix: refs #6900 improve logic (origin/6900-addSerial) by:jorgep
-   fix: refs #6900 improve logic by:jorgep
-   fix: refs #6900 rectificative btn reactivity by:jorgep
-   fix: refs #6900 use type number by:jorgep
-   fix: refs #6900 vat & dueday by:jorgep
-   fix: refs #6900 vat, dueday & intrastat by:jorgep
-   fix: refs #6989 show entity name & default time from config table by:jorgep
-   fix: refs #7283 basicData locale by:jorgep
-   fix: refs #7283 itemLastEntries filter by:jorgep
-   fix: refs #7283 itemTags & VnImg by:jorgep
-   fix: refs #7283 locale by:jorgep
-   fix: refs #7283 min-width vnImg by:jorgep
-   fix: refs #7283 use vnAvatar & add optional zoom by:jorgep
-   fix: refs #7283 userPanel pic by:jorgep
-   fix: refs #7323 add department popup by:jorgep
-   fix: refs #7323 add locale by:jorgep
-   fix: refs #7323 css righ menu by:jorgep
-   fix: refs #7323 data-key & add select by:jorgep
-   fix: refs #7323 load all opts by:jorgep
-   fix: refs #7323 righ menu bug by:jorgep
-   fix: refs #7323 use global locale by:jorgep
-   fix: refs #7323 use workerFilter (origin/7323-warmfix-fixErrors) by:jorgep
-   fix: refs #7323 vnsubtoolbar css by:jorgep
-   fix: refs #7323 wrong css by:jorgep
-   refs #7355 fix Rol, alias by:carlossa
-   refs #7355 fix accountAlias by:carlossa
-   refs #7355 fix alias summary by:carlossa
-   refs #7355 fix conflicts by:carlossa
-   refs #7355 fix create Rol by:carlossa
-   refs #7355 fix list by:carlossa
-   refs #7355 fix lists redirects summary by:carlossa
-   refs #7355 fix roles by:carlossa
-   refs #7355 fix search exprBuilder by:carlossa
-   refs #7355 fix vnTable by:carlossa

# Version 24.32 - 2024-08-06

### Added 🆕

-   chore: refs #7197 drop space by:jorgep
-   chore: refs #7197 drop useless attr by:jorgep
-   chore: refs #7197 fix test by:jorgep
-   chore: refs #7197 fix tests by:jorgep
-   chore: refs #7197 fix unit tests by:jorgep
-   chore: refs #7197 idrop useless class by:jorgep
-   chore: refs #7197 improve form filling in Cypress tests by:jorgep
-   chore: refs #7197 remove unused import by:jorgep
-   feat: customerPayments card view by:alexm
-   feat: refs #6943 lock grid mode by:jorgep
-   feat: refs #6943 wip consumption filter by:jorgep
-   feat: refs #7197 add correcting filter by:jorgep
-   feat: refs #7197 add supplier activities filter option by:jorgep
-   feat: refs #7197 summary responsive by:jorgep
-   feat: refs #7323 fix descriptors, added VnTable and minor changes by:Jon
-   feat: refs #7323 fixed tests, changed calendar styles and fix workerCreate by:Jon
-   feat: refs #7356 list & weekly to VnTable and style fixes by:Jon
-   feat: refs #7401 add menu options by:pablone
-   feat: SalesClientTable by:Javier Segarra
-   feat: salesOrderTable by:Javier Segarra
-   feat: salesTicketTable by:Javier Segarra
-   feat: VnTable SalesTicketTable by:Javier Segarra
-   fix: columns style by:alexm

### Changed 📦

-   perf: LeftMenu show/hide by:Javier Segarra
-   perf: refs #7356 TicketList state column by:Jon
-   perf: VnFilterPanel (origin/7323_WorkerMigration_End) by:Javier Segarra
-   perf: width SalesTicketsTable by:Javier Segarra
-   refactor: #6943 wip use vnTable CustomerCredits by:jorgep
-   refactor: CustomerNotifications use VnTable by:alexm
-   refactor: CustomerPayments use VnTable by:alexm
-   refactor: refs #7014 deleted main files and changed route files by:Jon
-   refactor: refs #7014 improved route.js & deleted RouteMain by:Jon
-   refactor: refs #7014 refactor <module>Main.vue by:Jon
-   refactor: refs #7014 refactor ZoneCard, deleted ZoneMain & created basic tests for functionality by:Jon
-   refactor: refs #7197 use invoiceInSearchbar & queryParams by:jorgep
-   refactor: refs #7323 hidden column filter proposal by:Jon
-   refactor: refs #7356 fixed VnTable filters by:Jon
-   refactor: refs #7356 requested changes by:Jon
-   refactor: wip use vnTable CustomerCredits by:jorgep

### Fixed 🛠️

-   chore: refs #7197 fix test by:jorgep
-   chore: refs #7197 fix tests by:jorgep
-   chore: refs #7197 fix unit tests by:jorgep
-   feat: refs #7323 fix descriptors, added VnTable and minor changes by:Jon
-   feat: refs #7323 fixed tests, changed calendar styles and fix workerCreate by:Jon
-   feat: refs #7356 list & weekly to VnTable and style fixes by:Jon
-   fix(claim): small details (6336-claim-v6) by:alexm
-   fix: columns style by:alexm
-   fix: customer defaulter add amount order (6943-fixCustomer) by:alexm
-   fix: customerDefaulter correct functionality by:alexm
-   fix: customerNotifications filter by:alexm
-   fix: fix conflicts by:Jon
-   fix: refs #6101 fix TicketList by:Jon
-   fix: refs #6891 worker tests by:jorgep
-   fix: refs #6943 drop padding-left checkbox & create wrap mode vnRow by:jorgep
-   fix: refs #6943 prevent undefined by:jorgep
-   fix: refs #7014 fix tests by:Jon
-   fix: refs #7014 fix wagon module by:Jon
-   fix: refs #7197 add url InvoiceInSearchbar by:jorgep
-   fix: refs #7197 amount reactivity by:jorgep
-   fix: refs #7197 drop character by:jorgep
-   fix: refs #7197 reactivity invoiceCorrection by:jorgep
-   fix: refs #7197 responsive summary layout by:jorgep
-   fix: refs #7197 rollback by:jorgep
-   fix: refs #7197 rollback crudModel by:jorgep
-   fix: refs #7197 setInvoiceInCorrecition by:jorgep
-   fix: refs #7197 vat, intrastat, filter and list sections by:jorgep
-   fix: refs #7323 fix department & email table filter by:Jon
-   fix: refs #7323 fixed left filter by:Jon
-   fix: refs #7323 fix workerTimeControl form by:Jon
-   fix: refs #7401 fix routeForm by:pablone
-   fix: refs #7401 remove console.log by:pablone
-   fix: refs CAU 207504 fix itemDiary and logs by:Jon
-   fix: workerCreate form street field to be always upperCase by:Jon
-   hotfix: refs CAU #207614 fix sale.concept field by:Jon
-   refactor: refs #7356 fixed VnTable filters by:Jon
-   refs #6898 fix by:carlossa
-   Ticket expedition initial load fix by:wbuezas

# Version 24.28 - 2024-07-09

### Added 🆕

-   Change header titles style by:wbuezas
-   chore: refs #7436 fix e2e (origin/7436-showQCheckbox) by:jorgep
-   feat: #7196 eslint (origin/7196-cjsToEsm) by:jgallego
-   feat: adapt tu VnTable → CrudModel by:alexm
-   feat(CustomerFIlter): use correct table by:alexm
-   feat(customerList): add searchbar by:alexm
-   feat: customerList is customerExtendedList by:alexm
-   feat: fixes #7196 by:jgallego
-   feat: refs #6739 transferInvoice new checkbox and functionality by:Jon
-   feat: refs #6825 create vnTable and add in CustomerExtendedList by:alexm
-   feat: refs #6825 create vnTableColumn, cardActions by:alexm
-   feat: refs #6825 fix modes by:alexm
-   feat: refs #6825 qchip color by:alexm
-   feat: refs #6825 right filter panel (6825-vnTable) by:alexm
-   feat: refs #6825 scroll for table mode by:alexm
-   feat: refs #6825 share filters, create popup by:alexm
-   feat: refs #6825 VnComponent mix component and attrs Form to create new row by:alexm
-   feat: refs #6825 VnTableFilter and VnPanelFilter init by:alexm
-   feat: refs #6826 added rol summary link by:Jon
-   feat: refs #6896 created VnImg and added to order module by:Jon
-   feat: refs #6896 new filters by:Jon
-   feat: refs #7129 fix some code and add order by:pablone
-   feat: refs #7436 show checkbox by:jorgep
-   feat: refs #7545 Deleted hasIncoterms client column (origin/7545-hasIncoterms) by:guillermo
-   feat(TicketService): use correct format by:alexm
-   feat(url): sepate filters by:alexm
-   feat(VnFilter): merge objects by:alexm
-   feat(VnTable): is-editable and use-model. fix: checkbox by:alexm
-   feat(VnTable): refs #6825 actions sticky by:alexm
-   feat(VnTable): refs #6825 addInWhere by:alexm
-   feat(VnTable): refs #6825 dinamic columns by:alexm
-   feat(VnTable): refs #6825 execute function when create by:alexm
-   feat(VnTable): refs #6825 fix ellipsis and add titles by:alexm
-   feat(VnTable): refs #6825 merge where's by:alexm
-   feat(VnTable): refs #6825 move to folder. fix checkboxs by:alexm
-   feat(VnTable): refs #6825 remove field prop. Add actions in table by:alexm
-   feat(VnTable): refs #6825 use checkbox if startsWith 'is' or 'has' by:alexm
-   feat(VnTable): refs #6825 VnTableChip component by:alexm
-   feat(vnTable): reload data when change url by:alexm
-   feat(WorkerFormation): add columnFilter by:alexm
-   feat(WorkerFormation): is-editable and use-model by:alexm
-   fix: notify icon style by:Javier Segarra
-   refactor: refs #6896 fixed styles by:Jon
-   Revert "feat: fixes #7196" by:alexm
-   style: refs #6464 changed checkbox and qbtn styles by:Jon

### Changed 📦

-   perf: Remove div.col by:Javier Segarra
-   perf: remove ItemPicture by:Javier Segarra
-   perf: replace ItemPicture in favour of VnImg by:Javier Segarra
-   refactor by:wbuezas
-   refactor: refs #5447 changed warehouse filter by:Jon
-   refactor: refs #5447 changed warehouse out filter behavior by:Jon
-   refactor: refs #5447 fixed filter if continent not selected by:Jon
-   refactor: refs #5447 fix request by:Jon
-   refactor: refs #5447 refactor filters by:Jon
-   refactor: refs #6739 changed invoice functions' name by:Jon
-   refactor: refs #6739 changed router.push by:Jon
-   refactor: refs #6739 deleted useless const by:Jon
-   refactor: refs #6739 fix redirect transferInvoice by:Jon
-   refactor: refs #6739 new confirmation window by:Jon
-   refactor: refs #6739 requested changes by:Jon
-   refactor: refs #6739 updated transferInvoice function by:Jon
-   refactor: refs #6896 changes requested in PR by:Jon
-   refactor: refs #6896 end migration orders by:Jon
-   refactor: refs #6896 fixed styles by:Jon
-   refactor: refs #6896 fix qdrawer by:Jon
-   refactor: refs #6896 refactor VnImg by:Jon
-   refactor: refs #6896 requested changes by:Jon
-   refactor: refs #6977 fix VnImg props (origin/6977-ClonedURL) by:Jon
-   refactor: refs #6977 refactor VnImg by:Jon
-   refactor: refs #6977 use VnImg by:Jon
-   refactors by:alexm

### Fixed 🛠️

-   chore: refs #7436 fix e2e (origin/7436-showQCheckbox) by:jorgep
-   feat: fixes #7196 by:jgallego
-   feat: refs #6825 fix modes by:alexm
-   feat: refs #7129 fix some code and add order by:pablone
-   feat(VnTable): is-editable and use-model. fix: checkbox by:alexm
-   feat(VnTable): refs #6825 fix ellipsis and add titles by:alexm
-   feat(VnTable): refs #6825 move to folder. fix checkboxs by:alexm
-   fix(ArrayData): refs #6825 router.replace and use filter.where by:alexm
-   fix: bug replace by:alexm
-   fix: column hidden v-if by:Javier Segarra
-   fix: comment 4 by:Javier Segarra
-   fix: comments by:Javier Segarra
-   fix: cypress.config to mjs by:alexm
-   fix(EntryBuys): fix VnSubtoolbar by:alexm
-   fixes: fix vnFilter params and redirect by:alexm
-   fix: fix warnings by:alexm
-   fix: invoiceDueDay test by:alexm
-   fix log view not refreshing when changing id param by:wbuezas
-   fix: map selected by:Javier Segarra
-   fix: merge dev by:Javier Segarra
-   fix: notify icon style by:Javier Segarra
-   fix: point 1 by:Javier Segarra
-   fix: point 3 by:Javier Segarra
-   fix: refs #5447 deleted console.log by:Jon
-   fix: refs 6464 deleted useless class in checkbox by:Jon
-   fix: refs #6464 fix error isLoading by:Jon
-   fix: refs #6739 changed checkbox field by:Jon
-   fix: refs #6825 css by:carlossa
-   fix: refs #6826 fix redirect by:Jon
-   fix: refs #6826 fix roleDescriptor by:Jon
-   fix: refs #7129 fix e2e by:pablone
-   fix: refs #7129 fix module routes by:pablone
-   fix: refs #7129 fix some issues on load and tools by:pablone
-   fix: refs #7129 remove consoleLog by:pablone
-   fix: refs #7129 remove fix from claim lines by:pablone
-   fix: refs #7274 fix duplicate rows by:jorgep
-   fix: refs #7433 skeleton by:jorgep
-   fix: refs #7623 bugs & tests by:jorgep
-   fix: refs #7623 disable router update by:jorgep
-   fix: refs #7623 redirect by:jorgep
-   fix: refs #7623 test by:jorgep
-   fix: refs #7623 update add updateRoute prop in VnPaginate by:jorgep
-   fix: refs #7623 updating skip param by:jorgep
-   fix: revert cypress mjs by:alexm
-   fix: SkeletonTable by:alexm
-   fix: state translations by:Javier Segarra
-   fix: ticket order by:Javier Segarra
-   fix(ticket router): typo by:alexm
-   fix(TicketService): pay use selected by:alexm
-   fix: TravelLog by:Javier Segarra
-   fix(url): filter by:alexm
-   fix(url): redirect by:alexm
-   fix(VnFilter): filter with params by:alexm
-   fix(VnFilterPanel): remove key by:alexm
-   fix(VnTable): create scss by:alexm
-   fix(VnTable): duplicate fetch by:alexm
-   fix(VnTable): Qtable v-bind by:alexm
-   fix(VnTable): refs #6825 checkbox align and color by:alexm
-   fix(VnTable): refs #6825 fix click sticky column by:alexm
-   fix(VnTable): refs #6825 fix events and css by:alexm
-   fix(VnTable): refs #6825 VnInputDate by:alexm
-   fix(VnTable): showLabel by:alexm
-   fix(VnTable): warns by:alexm
-   fix: WorkerNotificationsManager test by:alexm
-   fix: WorkerSelect option format by:Javier Segarra
-   refactor: refs #5447 fixed filter if continent not selected by:Jon
-   refactor: refs #5447 fix request by:Jon
-   refactor: refs #6739 fix redirect transferInvoice by:Jon
-   refactor: refs #6896 fixed styles by:Jon
-   refactor: refs #6896 fix qdrawer by:Jon
-   refactor: refs #6977 fix VnImg props (origin/6977-ClonedURL) by:Jon
-   refs #6504 fix formModel claimFilter claimCard (origin/6504-fixCardClaim) by:carlossa
-   refs #7406 fix components by:carlossa
-   refs #7406 fix pr by:carlossa
-   refs #7406 fix props by:carlossa
-   refs #7406 fix Tb components create by:carlossa
-   refs #7406 fix trad by:carlossa
-   refs #7406 fix url by:carlossa
-   refs #7406 fix VnTable columns by:carlossa
-   refs #7409 fix balance and formation by:carlossa
-   refs #7409 fix trad by:carlossa
-   Revert "feat: fixes #7196" by:alexm
-   test: fix intermitent e2e by:alexm
-   test: fix vnSearchbar adapt to vnTable (origin/7648_dev_customerEntries) by:alexm

# Version 24.24 - 2024-06-11

### Added 🆕

-   feat: 6942 hashtag in key : value summary by:jgallego
-   feat: #6957: Rename FetchedTags instance tag by:Javier Segarra
-   feat: refactor template by:Javier Segarra
-   feat: refs #6600 Add option to add comment for photo motivation by:jorgep
-   feat: refs #6942 test e2e tobook & toUnbook by:jorgep
-   feat: refs #6942 to book summary button & reactive value by:jorgep
-   feat: refs #6942 to unbook by:jorgep
-   feat: refs #6942 url update by:jorgep
-   feat: refs #6942 use correct currency in InvoiceIn components by:jorgep
-   feat: refs #6942 vat rate total by:jorgep
-   feat: refs #7494 new icons (7494-icons) by:alexm
-   feat: refs #7494 new icons by:alexm
-   feat: refs #7542 drop space by:jorgep
-   feat: refs #7542 empty by:jorgep
-   fix: refs #6942 changes and new features by:jorgep
-   fix: style by:Javier Segarra
-   style: color transparent when is fetive by:Javier Segarra
-   style: fix color when is empty by:Javier Segarra
-   style: reset poc style (6957_refactorFetechedTags) by:Javier Segarra
-   style: reset poc style by:Javier Segarra
-   style updates by:Javier Segarra

### Changed 📦

-   feat: refactor template by:Javier Segarra
-   perf: 6957 add color as new shared variable by:Javier Segarra
-   perf: 6957 change fetchedTags color by:Javier Segarra
-   perf: remove local tree variable by:Javier Segarra
-   refactor: add flat by:alexm
-   refactor: refs #6600 replace QInput to VnInput by:jorgep
-   refactor: refs #6652 improved defaulter section by:Jon
-   refactor: refs #6942 Fix getTotalAmount function to correctly calculate the total amount in InvoiceInDueDay.vue by:jorgep
-   refactor: refs #6942 new summary layout by:jorgep
-   refactor: refs #6942 store key & actions by:jorgep
-   refactor: refs #6942 summary by:jorgep
-   refactor: refs #6942 use router hook by:jorgep
-   refactor: refs #6942 WIP summary layout by:jorgep

### Fixed 🛠️

-   fix: 9-12 by:Javier Segarra
-   fix: defaulter icon by:alexm
-   fix: refs #5186 validation by:jorgep
-   fix: refs #6095 add reFfk null on search by:pablone
-   fix: refs #6942 cardDescriptor use store if its popup or different source data by:jorgep
-   fix: refs #6942 changes and new features by:jorgep
-   fix: refs #6942 drop comments by:jorgep
-   fix: refs #6942 drop console by:jorgep
-   fix: refs #6942 drop console.log by:jorgep
-   fix: refs #6942 e2e test (origin/6942-warmfix-fixFormModel) by:jorgep
-   fix: refs #6942 e2e tests by:jorgep
-   fix: refs #6942 e2e tests by:jorgep
-   fix: refs #6942 fix emit on data saved by:jorgep
-   fix: refs #6942 fix emit on reset by:jorgep
-   fix: refs #6942 fix vncard by:jorgep
-   fix: refs #6942 formModel & CardDescriptor by:jorgep
-   fix: refs #6942 formModel watch changes & invoiceInCreate by:jorgep
-   fix: refs #6942 import by:jorgep
-   fix: refs #6942 reloading by:jorgep
-   fix: refs #6942 rollback by:jorgep
-   fix: refs #6942 selectable expense by:jorgep
-   fix: refs #6942 skip e2e tests by:jorgep
-   fix: refs #6942 table bottom highlight & drop isBooked field by:jorgep
-   fix: refs #6942 tests e2e by:jorgep
-   fix: refs #6942 tests & summary table spacing by:jorgep
-   fix: refs #6942 unit tests by:jorgep
-   fix: refs #6942 vnLocation by:jorgep
-   fix: refs #6942 wip: formModel by:jorgep
-   fix: refs #7542 use right panel by:jorgep
-   fix: searchbar redirect by:alexm
-   fix: style by:Javier Segarra
-   fix: WorkerCalendarItem by:Javier Segarra
-   mini fix by:wbuezas
-   refs #6111 clean code fix changes by:carlossa
-   refs #6111 fix merge, fix column by:carlossa
-   refs #6111 fix qtable, actions, scroll by:carlossa
-   refs #6111 fix routeList by:carlossa
-   refs #6111 fix sticky by:carlossa
-   refs #6111 fix trad remove logs by:carlossa
-   refs #6111 fix visibleColumns by:carlossa
-   refs #6111 routeList fix by:carlossa
-   refs #6332 fix calendar by:carlossa
-   refs #6332 fix colors by:carlossa
-   refs #6332 fix festive by:carlossa
-   refs #6820 fix BasicData Tickets by:carlossa
-   refs #6820 fix error front by:carlossa
-   refs #6820 fix traduction by:carlossa
-   refs #7391 fix textarea by:carlossa
-   refs #7396 fix summary by:carlossa
-   Search childs fix by:wbuezas
-   small fix by:wbuezas
-   style: fix color when is empty by:Javier Segarra

# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [2420.01]

### Added

-   (Item) => Se añade la opción de añadir un comentario del motivo de hacer una foto
-   (Worker) => Se añade la opción de crear un trabajador ajeno a la empresa
-   (Route) => Ahora se muestran todos los cmrs

## [2418.01]

## [2416.01] - 2024-04-18

### Added

-   (Worker) => Se crea la sección Taquilla
-   (General) => Se mantiene el filtro lateral en cualquier parte de la seccíon.

### Fixed

-   (General) => Se vuelven a mostrar los parámetros en la url al aplicar un filtro

## [2414.01] - 2024-04-04

### Added

-   (Tickets) => Se añade la opción de clonar ticket. #6951
-   (Parking) => Se añade la sección Parking. #5186

-   (Rutas) => Se añade el campo "servida" a la tabla y se añade también a los filtros. #7130

### Changed

### Fixed

-   (General) => Se corrige la redirección cuando hay 1 solo registro y cuando se aplica un filtro diferente al id al hacer una búsqueda general. #6893

## [2400.01] - 2024-01-04

### Added

### Changed

### Fixed

## [2350.01] - 2023-12-14

### Added

-   (Carros) => Se añade contador de carros. #6545
-   (Reclamaciones) => Se añade la sección para hacer acciones sobre una reclamación. #5654

### Changed

### Fixed

-   (Reclamaciones) => Se corrige el color de la barra según el tema y el evento de actualziar cantidades #6334

## [2253.01] - 2023-01-05

### Added

-   (Clientes) => Añadida nueva sección "Pagos Web" para gestionar los pagos de todos los clientes
-   (Tickets) => Añadida opción en el menú desplegable del ticket para enviar SMS al cliente
-   (Reclamaciones) => Añadida nueva sección "Registros de auditoría"
-   (Trabajadores) => Añadido módulo de trabajadores
-   (General) => Añadida barra de búsqueda general en los listados principales
-   (Vagones) => Añadido módulo de vagones

### Changed

-   Changed...
